<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      th:with="activeTab='tugaskegiatan'"
      layout:decorate="~{layout}">
    <head>
        <title>List Progres Tugas</title>
    </head>
    <body>

        <section layout:fragment="content-header">
            <div class="row wrapper border-bottom white-bg page-heading">
                <div class="col-lg-10">
                    <h2>Progres Tugas</h2>
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item">
                            <a th:href="@{/home}">Home</a>
                        </li>
                        <li class="breadcrumb-item">
                            <a th:href="@{/ep/tugaskegiatan/list}">Progres Tugass</a>
                        </li>
                        <li class="breadcrumb-item active">
                            <strong><th:block th:text="${namatugas == null} ? 'List Progres Tugas' : 'List Progres Tugas - '+${namatugas}"></th:block></strong>
                        </li>
                    </ol>
                </div>
                <div class="col-lg-2">

                </div>
            </div>
        </section>
        <section layout:fragment="content">
            <div class="wrapper wrapper-content">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="ibox ">
                            <div class="ibox-title">
                                <h5>List Progres Tugas</h5>            
                                <div class="ibox-tools">
                                    <a sec:authorize="hasAnyAuthority('Administrator')" th:href="@{/ep/tugaskegiatan/form}" class="btn btn-primary btn-xs"><i class="fa fa-plus"></i> Tambah Progres Tugas</a>
                                </div>
                            </div>


                            <div class="ibox-content">

                                <div class="row">
                                    <div class="col-md-12">
                                        <form th:action="@{/ep/tugaskegiatan/list}" method="get">
                                            <div class="input-group">
                                                <select name="tugas" class="form-control" required="true">
                                                    <option value="" oninvalid="this.setCustomValidity('Silahkan pilih tugas terlebih dulu')">-- PILIH TUGAS --</option>
                                                    <option th:each="x : ${listTugas}" th:value="${x.id}" th:text="${x.nama} + ' ' + '(' + ${x.stakeholder.keterangan} +')'">option 1</option>
                                                </select>
                                                <span class="input-group-btn">
                                                    <button type="submit" class="btn btn-info"><i class="fa fa-plus"></i> Proses</button>
                                                </span>
                                            </div>
                                        </form>
                                    </div>
                                </div>



                                <div th:if="${param.tugas}">
                                    <div class="card mb-3 mt-3" id="kolomProgres">
                                        <div class="card-header text-center">
                                            Progress Keseluruhan
                                        </div>
                                        <div class="card-body">
                                            <div class="d-flex justify-content-center">
                                                <div th:class="${progres} < 51 ? 'c100 p'+${progres}+' orange' : 'c100 p'+${progres}+' blue'" style="margin-top: -5px; margin-bottom: 0px;">
                                                    <span th:text="${progres}+'%'"></span>
                                                    <div class="slice">
                                                        <div class="bar"></div>
                                                        <div class="fill"></div>
                                                    </div>
                                                </div>

                                            </div>
                                            <div class="d-flex">
                                                <span class="font-italic">*diperbarui pada <th:block th:text="${updateterakhir}"></th:block></span> 
                                            </div>
                                        </div>
                                    </div>

                                    <div sec:authorize="hasAnyAuthority('Administrator','Stakeholder')" class="card mb-3">
                                        <div class="card-header container-fluid">
                                            <div class="row">
                                                <div class="col-md-11 text-center">
                                                    <p style="margin-left: 6em;">Daftar Petugas</p>
                                                </div>
                                                <div class="col-md-1 float-right">


                                                    <button type="button" title="Tambah Petugas" th:attr="onclick='javascript:openModalFormPetugas('+${idtugas}+');'" class="btn btn-primary"><i class="fa fa-plus"></i></button>

                                                </div>
                                            </div>

                                        </div>

                                        <div class="card-body" id="kolomPetugas">
                                            <div class="daftar-petugas">
                                                <div class="row flex-nowrap">
                                                    <div class="col-12 col-sm-6 col-md-4 col-lg-3" th:each="p, row : ${dataPenugasan}">
                                                        <div class="our-team">

                                                            <div class="picture">
                                                                <img class="img-fluid" th:src="@{/img/petugas/}+${p.petugas.foto}">
                                                            </div>
                                                            <div class="team-content">
                                                                <h3 class="name" th:text="${p.petugas.nama}">r</h3>

                                                            </div>
                                                            <ul class="social">
                                                                <li><a href="#" aria-hidden="true" th:text="${p.petugas.divisi}">TIM DEV</a></li>
                                                                <li><a th:attr="href='javascript:deleteDataPetugas('+${p.id}+');'" aria-hidden="true" title="Hapus Petugas"><i class="fa fa-trash"></i></a></li>
                                                            </ul>
                                                        </div>
                                                    </div>
                                                </div> 
                                            </div>
                                            <div th:if="${#lists.isEmpty(dataPenugasan)}">
                                                <p class="text-center">Belum ada Petugas. Silahkan tambahkan..</p>
                                                <div class="d-flex justify-content-center">

                                                    <button th:attr="onclick='javascript:openModalFormPetugas('+${idtugas}+');'" class="btn btn-primary text-center"><i class="fa fa-plus"> Tambah Progres</i></button>
                                                </div>
                                            </div>
                                        </div>

                                    </div>
                                    <div id="kolomKegiatan">
                                        <div class="card mb-3">
                                            <div class="card-header container-fluid">
                                                <div class="row">
                                                    <div class="col-md-11 text-center">
                                                        <p style="margin-left: 6em;">Progress Kegiatan</p>
                                                    </div>
                                                    <div class="col-md-1 float-right">


                                                        <button sec:authorize="hasAnyAuthority('Administrator')" type="button" title="Tambah Progres Kegiatan" th:attr="onclick='javascript:openModalFormKegiatan('+${idtugas}+');'" class="btn btn-primary"><i class="fa fa-plus"></i></button>

                                                    </div>
                                                </div>
                                            </div>
                                            <div class="card-body">
                                                <div class="table-responsive">
                                                    <table class="table table-hover">
                                                        <thead>
                                                            <tr>
                                                                <th class="w-75"></th>
                                                                <th class="w-25"></th>  
                                                            </tr>
                                                        </thead>
                                                        <th:block th:each="o, row : ${data.content}">
                                                            <tbody>
                                                                <tr style="cursor:pointer;" title="Klik untuk melihat detil kegiatan" th:attr="onclick='javascript:openDaftarRincianCollapse('+${o.id}+','+${o.tugas.id}+','+${o.kegiatan.id}+');'">
                                                                    <td class="progress" style="margin-top: 5px;">
                                                                        <div class="progress-bar" role="progressbar" th:attr="aria-valuenow=${o.progres}" aria-valuemin="0" aria-valuemax="100" th:style="|width:${o.progres}%|">
                                                                            <span class="sr-only" th:text="${o.progres}+'% Compelete'"></span>
                                                                        </div>

                                                                        <span class="progress-type"><th:block th:text="${o.kegiatan.nama}"></th:block></span>
                                                                        <span class="progress-completed"><th:block th:text="${o.progres}+'%'"></th:block></span>

                                                                    </td>
                                                            <div id="modalHolderLog"></div>

                                                            <td style="padding-left: 50px">

                                                                <a sec:authorize="hasAnyAuthority('Administrator')" th:href="@{/ep/tugaskegiatan/form(id=${o.id})}">    
                                                                    <button class="btn btn-info" title="Edit"><i class="fa fa-pencil"></i></button>
                                                                </a>


                                                                <button sec:authorize="hasAnyAuthority('Administrator')" th:attr="onclick='javascript:deleteDataKegiatan('+${o.id}+');'" class="btn btn-danger" title="Hapus"><i class="fa fa-trash"></i></button>

                                                                <button type="button" title="Lihat Log Perubahan" class="btn btn-success" th:attr="onclick='javascript:openDataLogModal('+${o.id}+');'"><i class="fa fa-bar-chart"></i></button>
                                                                <button th:id="'button-'+${o.id}+'-'+${o.tugas.id}+'-'+${o.kegiatan.id}" class="btn btn-info clickable" th:attr="onclick='javascript:openDaftarRincianCollapse('+${o.id}+','+${o.tugas.id}+','+${o.kegiatan.id}+');'" title="Lihat Detil Kegiatan"><i class="fa fa-adjust"></i></button>

                                                            </td>
                                                            </tr>

                                                            </tbody>

                                                            <tbody th:id="'group-of-rows-'+${o.id}+'-'+${o.tugas.id}+'-'+${o.kegiatan.id}" class="collapse table-responsive">

                                                                <tr class="table-info col-auto">
                                                                    <th class="col-md-auto">#</th>
                                                                    <th class="col-md-12">Nama Rincian Kegiatan</th>
                                                                    <th sec:authorize="hasAnyAuthority('Administrator')" class="col-md-auto" style="padding-right: 4.7em;">Status</th>
                                                                    <th sec:authorize="hasAnyAuthority('Petugas')" class="col-md-auto" style="padding-right: 7.8em;">Status</th>
                                                                    <th class="col-md-auto"></th>
                                                                    <th sec:authorize="hasAnyAuthority('Administrator')" class="col-md-auto"><button th:attr="onclick='javascript:openModalFormDetilKegiatan('+${o.id}+');'" class="btn-xs btn-info" title="Tambah Detil Kegiatan" type="button"><i class="fa fa-plus"></i></button></th>
                                                                </tr>


                                                            <th:block th:fragment="infoDaftarRincian">
                                                                <th:block th:if="${noDataRincian} == false">
                                                                    <tr class="container-fluid" th:each="p, rows : ${dataRincianKegiatan}">
                                                                        <td class="col-md-auto" th:text="${rows.index+1}"></td>
                                                                        <td class="col-md-12" th:text="${p.daftarTugasKegiatan}"></td>
                                                                        <td class="col-md-auto"><span th:class="${p.status} == true ? 'badge badge-success' : 'badge badge-warning'" th:text="${p.status} == true ? 'selesai' : 'belum'"></span></td>
                                                                        <td class="col-md-auto float-right" style="width: 80px;">
                                                                            <button sec:authorize="hasAnyAuthority('Administrator')" th:attr="onclick='javascript:openModalFormEditDetilKegiatan('+${p.tugasKegiatan.id}+','+${p.id}+');'" class="btn-xs btn-success" type="button"><i class="fa fa-pencil"></i></button>
                                                                            <button sec:authorize="hasAnyAuthority('Administrator')" th:attr="onclick='javascript:deleteDataDetilKegiatan('+${p.id}+');'" class="btn-xs btn-danger" type="button"><i class="fa fa-trash"></i></button>
                                                                            <div class="checkbox" sec:authorize="hasAnyAuthority('Petugas')">
                                                                                <th:block th:if="${p.status} == false">
                                                                                    <label><input type="checkbox" name="status" value="ON" title="Beri Centang Untuk Menyelesaikan" th:attr="onchange='javascript:updateDataDetilKegiatan('+${p.id}+');'"></label>
                                                                                </th:block>
                                                                            </div>
                                                                        </td>
                                                                        <td class="col-md-auto"></td>
                                                                    </tr>
                                                                </th:block>
                                                                <th:block th:if="${noDataRincian} == true">
                                                                    <p class="text-center">Belum ada detil progres. Silahkan tambahkan..</p>
                                                                    <div class="d-flex justify-content-center">

                                                                        <button sec:authorize="hasAnyAuthority('Administrator')" th:attr="onclick='javascript:openModalFormDetilKegiatan('+${o.id}+');'" class="btn-xs btn-info" type="button"><i class="fa fa-plus"> Tambah Detil Progres</i></button>
                                                                    </div>
                                                                </th:block>

                                                            </th:block>  

                                                            <tr class="table-responsive table-light" th:id="'collapseHolderRincian-'+${o.id}+'-'+${o.tugas.id}+'-'+${o.kegiatan.id}"></tr>
                                                            </tbody>

                                                        </th:block>
                                                    </table>
                                                </div>
                                                <div th:if="${noData} == true">
                                                    <p class="text-center">Belum ada kegiatan. Silahkan tambahkan..</p>
                                                    <div class="d-flex justify-content-center">

                                                        <button sec:authorize="hasAnyAuthority('Administrator')" th:attr="onclick='javascript:openModalFormKegiatan('+${idtugas}+');'" class="btn btn-primary text-center"><i class="fa fa-plus"> Tambah Progres</i></button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>



                                        <div class="row">
                                            <div class="col-sm-6">
                                                <div sd:pagination-summary="">info</div>
                                            </div>
                                            <div class="col-sm-6">
                                                <nav class="pull-right">
                                                    <ul class="pagination" sd:pagination-split="7" sd:pagination="full">
                                                        <!-- Pagination created by SpringDataDialect, this content is just for mockup -->
                                                        <li class="disabled"><a href="#" aria-label="Previous"><span aria-hidden="true">&laquo;</span></a></li>
                                                        <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a></li>
                                                    </ul>
                                                </nav>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div id="modalInfoHolder"></div>
            <div id="modalLog" class="modal fade" role="dialog" th:fragment="infoDataLog">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <th:block th:each="s : ${dataTugasKegiatan}">
                                <h5 class="modal-title">Rincian Kegiatan <th:block th:text="${s.kegiatan.nama}"></th:block></h5>
                                <button type="button" class="close" data-dismiss="modal">&times;</button>
                            </th:block>
                        </div>
                        <div class="modal-body">
                            <table class="table table-hover" id="dataInfoPeserta">

                                <thead>
                                    <tr>
                                        <th>Rincian</th>

                                    </tr> 
                                </thead>
                                <tbody th:each="p : ${dataTugasKegiatan}">

                                    <tr>
                                        <td>
                                            <textarea class="form-control" rows="5" th:text="${p.rincian}" disabled=""></textarea>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                            <br/>

                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-default" data-dismiss="modal">Tutup</button>
                        </div>
                    </div>
                </div>
            </div>
            <div id="modalFormKegiatan" class="modal fade" role="dialog">
                <div class="modal-dialog modal-lg">
                    <div class="modal-content">
                        <div class="modal-header">

                            <h5 class="modal-title">Form Kegiatan</h5>
                            <button type="button" class="close" data-dismiss="modal">&times;</button>

                        </div>
                        <div id="modalBodyFormKegiatan" class="modal-body modal-lg">


                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-default" data-dismiss="modal">Tutup</button>
                        </div>
                    </div>
                </div>
            </div>

            <div id="modalFormPetugas" class="modal fade" role="dialog">
                <div class="modal-dialog modal-lg">
                    <div class="modal-content">
                        <div class="modal-header">

                            <h5 class="modal-title">Form Kegiatan</h5>
                            <button type="button" class="close" data-dismiss="modal">&times;</button>

                        </div>
                        <div id="modalBodyFormPetugas" class="modal-body modal-lg">


                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-default" data-dismiss="modal">Tutup</button>
                        </div>
                    </div>
                </div>
            </div>

            <div id="modalFormDetilKegiatan" class="modal fade" role="dialog">
                <div class="modal-dialog modal-lg">
                    <div class="modal-content">
                        <div class="modal-header">

                            <h5 class="modal-title">Form Detil Kegiatan</h5>
                            <button type="button" class="close" data-dismiss="modal">&times;</button>

                        </div>
                        <div id="modalBodyFormDetilKegiatan" class="modal-body modal-lg">


                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-default" data-dismiss="modal">Tutup</button>
                        </div>
                    </div>
                </div>
            </div>


            <div id="modalInfoSukses" class="modal fade" role="dialog">
                <div id="modalDataInfo" class="modal-dialog modal-sm">

                    <div class="alert alert-success alert-dismissible fade show">
                        <button type="button" class="close" data-dismiss="alert">&times;</button>
                        <strong>Berhasil!</strong> Perubahan sukses.
                    </div>

                </div>
            </div>
            <div id="modalInfoGagal" class="modal fade" role="dialog">
                <div id="modalDataInfo" class="modal-dialog modal-sm">

                    <div class="alert alert-danger alert-dismissible fade show">
                        <button type="button" class="close" data-dismiss="alert">&times;</button>
                        <strong>Gagal!</strong> Perubahan tidak berhasil.
                    </div>

                </div>
            </div>


        </section>
    </body>
</html>
